path: /build/build/mark-kits-seed-0.20251101.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=10
  - GIT_HISTORY_ENTRIES=10000
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  - LUET_YES=true
  - LUET_NOLOCK=true
  prelude:
  - anise rm repository/macaroni-terragon -y && curl https://raw.githubusercontent.com/geaaru/luet/geaaru/contrib/config/get_luet_root.sh
    | sh && anise subsets enable portage devel && anise install --sync-repos dev-util/mark-devkit
    app-admin/anise-portage-converter dev-util/pkgs-checker app-misc/yq-go app-misc/yq3-bin
    app-misc/jq system/luet-devkit && anise install app-admin/entities --sync-repos
    && anise upgrade && anise cleanup && mv kits-versions / && rm -rf /var/git/meta-repo/
    && mkdir -p /tmp/ && chmod a+rw /tmp && sed -e 's|^release.*|release = mark-xl|g'
    /etc/ego.conf  -i && ego sync && ego profile arch x86-64bit && ego profile build
    mark && ego profile subarch generic_64 && ego profile flavor core && cd /var/git/meta-repo/kits
    && chown root:root -R /var/git/meta-repo/kits && rm -rf * && mark-devkit kit clone
    --specfile /kits-versions/kits.yaml --to /var/git/meta-repo/kits --deep $GIT_HISTORY_ENTRIES
    --concurrency $JOBS --generate-reposcan-files --kit-cache-dir /kit-cache/ && cp
    /kits-versions/kits.yaml /kit-cache/ && mkdir /layer
  - cp -rvf kits-patches/core-kit/* /var/git/meta-repo/kits/core-kit/ && cp -rvf kits-patches/core-server-kit/*
    /var/git/meta-repo/kits/core-server-kit/ && cp -rvf kits-patches/net-kit/* /var/git/meta-repo/kits/net-kit/
    && sed -i -e 's|^*sys-apps/openrc|#*sys-apps/openrc|g' /var/git/meta-repo/kits/core-kit/profiles/base/packages
    && sed -i -e 's|^*sys-apps/openrc|#*sys-apps/openrc|g' -e 's|^*net-dns/openresolv|#*net-dns/openresolv|g'
    /var/git/meta-repo/kits/core-kit/profiles/funtoo/1.0/linux-gnu/flavor/minimal/packages
    && cat /var/git/meta-repo/kits/core-kit/profiles/funtoo/1.0/linux-gnu/flavor/minimal/packages
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree:0b67c286ba2c3ee69f576119d9c6b8c7f9113ba6ba5a4f39dfd5d8f13cc80955
  package:
    name: mark-kits
    version: "0.20251101"
    category: seed
    requires:
    - name: mark-stage3
      version: '>=0'
      category: seed
    buildtimestamp: 2025-11-01 11:40:30.325965753 +0000 UTC m=+139.449593629
    labels:
      mark-release: mark-xl
    treedir: /build/packages
  package_dir: ""
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 46995db4b389b894d512d6d1114535e02adf710a54ca68837fead903aef5c022
compressiontype: zstd
files: []
package_cacheimage: ""
runtime:
  name: mark-kits
  version: "0.20251101"
  category: seed
  labels:
    mark-release: mark-xl
